# Response chains

### Response chain data object

| Field           | Type                                                                      | Example                            | Description                                                        |
| --------------- | ------------------------------------------------------------------------- | ---------------------------------- | ------------------------------------------------------------------ |
| touchpointName  | string                                                                    | Touchpoint 1                       | Touch point name                                                   |
| responseChainId | string                                                                    | "507f1f77bcf86cd799439013"         | Id of the full response chain the response belongs to              |
| teamId          | string                                                                    | "507f1f77bcf86cd799439013"         | Team's id                                                          |
| metadata        | { \[key: string]: string}                                                 | {phone: "iPhone X"}                | metadata attached to response                                      |
| createdAtDate   | string                                                                    | "2017-03-27T09:03:59.133Z"         | Response's date in Javascript format                               |
| createdAt       | number                                                                    | 1490605439                         | Response's date in UNIX timestamp                                  |
| touchpointId    | string                                                                    | "507f1f77bcf86cd799439013"         | Touchpoint's id                                                    |
| \_id            | string                                                                    | "507f1f77bcf86cd799439013"         | id of the response                                                 |
| language        | string                                                                    | "en"                               | language the response is given in                                  |
| teamName        | string                                                                    | "My team"                          | Team's name                                                        |
| browser         | string                                                                    | Mac OS X Chrome 84.0.4147.105      | Browser information                                                |
| surveyId        | string                                                                    | "507f1f77bcf86cd799439013"         | Survey's id                                                        |
| surveyName      | string                                                                    | "My survey"                        | Survey's name                                                      |
| isClosed?       | boolean                                                                   |                                    | <p>Available for<br>survey 3.0</p>                                 |
| surveyVersion?  | number                                                                    | 3                                  | <p>Available for<br>survey 3.0</p>                                 |
| data            | array                                                                     |                                    | Responses within the response chain                                |
| > answer        | string \| string\[] \| number                                             | 0.5, "Apple", \["Apple", "Orange"] | Mixed-type field related to question type                          |
| > questionType  | "Button" \| "NPS" \| "Word" \| "Slider" \| "Contact" \| "Text" \| "Image" | "Button"                           | [Question type](https://docs.feedbackly.com/notes#question-types)  |
| > fieldId?      | string                                                                    | "507f1f77bcf86cd799439013"         | Field id (used in Contact and Slider question types)               |
| > valueString?  | string                                                                    | "Orange"                           | String value of the response                                       |
| > valueArray?   | string\[]                                                                 | \["aoudfsa", "sidfvcx"]            | The technical id of the given responses (Word/Image)               |
| > valueNum      | number                                                                    | 0.5                                | Number value of the response                                       |
| > questionId    | string                                                                    | "507f1f77bcf86cd799439013"         | Question's id                                                      |
| > question      | string                                                                    | "How did we succeed today?"        | The title of the question in the preferred language (if available) |
| > fieldName     | string                                                                    | "Email"                            | Field name (used in Contact and Slider)                            |
| > tags          | string\[]                                                                 | \["CSAT"]                          | Question tags  set in the survey editor                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/api/response-chains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
